### Property

# WPEPlatform Display:available-input-devices

#### Declaration

    property available-input-devices: WPEPlatform.AvailableInputDevices [ read, write ]

#### Description [src]

The input devices (e.g. mouse, keyboard or touchscreen) available to use for this display.

This property can be used by creators to adjust their UI based on the available interactions.

Type:`WPEAvailableInputDevices`

Default value | WPE_AVAILABLE_INPUT_DEVICE_NONE
Getter method | `wpe_display_get_available_input_devices()`
Setter method | `wpe_display_set_available_input_devices()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no